# This Makefile.PL for JSON-Schema-Tiny was generated by
# Dist::Zilla::Plugin::MakeMaker::Fallback 0.030
# and Dist::Zilla::Plugin::MakeMaker::Awesome 0.49.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use 5.020;
use ExtUtils::MakeMaker;

BEGIN {
my %configure_requires = (
    'ExtUtils::MakeMaker' => '0',
    'Module::Build::Tiny' => '0.034',
);

my %errors = map {
    eval "require $_; $_->VERSION($configure_requires{$_}); 1";
    $_ => $@,
} keys %configure_requires;

if (grep { $_ } values %errors)
{
    warn "Errors from configure prereqs:\n"
        . do {
            require Data::Dumper; Data::Dumper->new([ \%errors ])->Indent(2)->Terse(1)->Sortkeys(1)->Dump;
        };
}

if (not $ENV{PERL_MM_FALLBACK_SILENCE_WARNING})
{
    warn <<'EOW';
*** WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING ***

If you're seeing this warning, your toolchain is really, really old* and
you'll almost certainly have problems installing CPAN modules from this
century. But never fear, dear user, for we have the technology to fix this!

If you're using CPAN.pm to install things, then you can upgrade it using:

    cpan CPAN

If you're using CPANPLUS to install things, then you can upgrade it using:

    cpanp CPANPLUS

If you're using cpanminus, you shouldn't be seeing this message in the first
place, so please file an issue on github.

If you're using a packaging tool through a unix distribution, this issue
should be reported to the package manager.

If you're installing manually, please retrain your fingers to run Build.PL
when present instead of Makefile.PL.

This public service announcement was brought to you by the Perl Toolchain
Gang, the irc.perl.org #toolchain IRC channel, and the number 42.

----

* Alternatively, you are doing something overly clever, in which case you
should consider setting the 'prefer_installer' config option in CPAN.pm, or
'prefer_makefile' in CPANPLUS, to 'mb" and '0' respectively.

You can also silence this warning for future installations by setting the
PERL_MM_FALLBACK_SILENCE_WARNING environment variable.
EOW
    sleep 10 if -t STDIN && (-t STDOUT || !(-f STDOUT || -c STDOUT));
}
} # end BEGIN

my %WriteMakefileArgs = (
  "ABSTRACT" => "Validate data against a schema, minimally",
  "AUTHOR" => "Karen Etheridge <ether\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "Module::Build::Tiny" => "0.034"
  },
  "DISTNAME" => "JSON-Schema-Tiny",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.020",
  "NAME" => "JSON::Schema::Tiny",
  "PL_FILES" => {},
  "PREREQ_PM" => {
    "B" => 0,
    "Carp" => 0,
    "Exporter" => "5.57",
    "Feature::Compat::Try" => 0,
    "JSON::MaybeXS" => "1.004001",
    "JSON::PP" => 0,
    "List::Util" => "1.50",
    "Mojo::JSON::Pointer" => 0,
    "Mojo::URL" => 0,
    "Mojolicious" => "7.23",
    "Ref::Util" => "0.100",
    "Scalar::Util" => 0,
    "Storable" => 0,
    "experimental" => 0,
    "if" => 0,
    "namespace::clean" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Data::Dumper" => 0,
    "File::Spec" => 0,
    "List::Util" => "1.50",
    "Math::BigFloat" => 0,
    "Math::BigInt" => 0,
    "Module::Metadata" => 0,
    "Path::Tiny" => 0,
    "Test::Deep" => 0,
    "Test::Fatal" => 0,
    "Test::JSON::Schema::Acceptance" => "1.014",
    "Test::More" => "0.96",
    "Test::Warnings" => 0,
    "constant" => 0,
    "lib" => 0,
    "open" => 0,
    "utf8" => 0
  },
  "VERSION" => "0.012",
  "test" => {
    "TESTS" => "t/*.t"
  }
);

my %FallbackPrereqs = (
  "B" => 0,
  "Carp" => 0,
  "Data::Dumper" => 0,
  "Exporter" => "5.57",
  "Feature::Compat::Try" => 0,
  "File::Spec" => 0,
  "JSON::MaybeXS" => "1.004001",
  "JSON::PP" => 0,
  "List::Util" => "1.50",
  "Math::BigFloat" => 0,
  "Math::BigInt" => 0,
  "Module::Metadata" => 0,
  "Mojo::JSON::Pointer" => 0,
  "Mojo::URL" => 0,
  "Mojolicious" => "7.23",
  "Path::Tiny" => 0,
  "Ref::Util" => "0.100",
  "Scalar::Util" => 0,
  "Storable" => 0,
  "Test::Deep" => 0,
  "Test::Fatal" => 0,
  "Test::JSON::Schema::Acceptance" => "1.014",
  "Test::More" => "0.96",
  "Test::Warnings" => 0,
  "constant" => 0,
  "experimental" => 0,
  "if" => 0,
  "lib" => 0,
  "namespace::clean" => 0,
  "open" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);

unless ( eval { ExtUtils::MakeMaker->VERSION('6.63_03') } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
